Problem sa Skype...

Problem sa Skype...

offline
  • Osvjedodžbeni spretnik munjarstva
  • Pridružio: 04 Jul 2011
  • Poruke: 5424
  • Gde živiš: Beograd

Imam problema sa Arch Linuxom, Skype-om i ASUS x59SR. Slika mi je okrenuta, ali samo u skype-u. Instalirao sam lib32v4l, ali kada pokusam da Izvrsim:

LD_PRELOAD=/usr/lib64/libv4l/v4l1compat.so skype

dobijem

ERROR: ld.so: object '/usr/lib64/libv4l/v4l1compat.so' from LD_PRELOAD cannot be preloaded: ignored.

Isto je i kada izvrsavam kao sudo.

Kada izvrsim
ls /opt/lib32/usr/lib/libv4l/
dobijem

ov511-decomp ov518-decomp v4l1compat.so v4l2convert.so

Arch x86_64 je u pitanju.

Pretrazio sam ceo net, za sve distribucije, i ne mogu nikako ovo da resim.
Unapred zahvalan.



Registruj se da bi učestvovao u diskusiji. Registrovanim korisnicima se NE prikazuju reklame unutar poruka.
offline
  • Rade Jekić
  • Pridružio: 05 Okt 2005
  • Poruke: 3004
  • Gde živiš: Valjevo

A jesi li probao ovo:

LD_PRELOAD=/opt/lib32/usr/lib/libv4l/v4l1compat.so skype

s obzirom da si izlistao sadrzaj /opt/lib32/usr/lib/libv4l/ foldera i on pokazuje da se v4l1compat.so upravo tu nalazi.



offline
  • Osvjedodžbeni spretnik munjarstva
  • Pridružio: 04 Jul 2011
  • Poruke: 5424
  • Gde živiš: Beograd

Jesam. I kao root i kao user
skype: error while loading shared libraries: libv4l1.so.0: cannot open shared object file: No such file or directory

offline
  • Rade Jekić
  • Pridružio: 05 Okt 2005
  • Poruke: 3004
  • Gde živiš: Valjevo

Resenje bi trebalo da bude instalacija paketa lib32-v4l-utils (koliko sam shvatio instalirao si samo lib32-v4l paket. Trebao bi da imas omogucen multilib repo, da ga osvezis komandom:

pacman -Syu

i instaliras pomenuti paket komandom:

pacman -S lib32-v4l-utils



Izvor > https://bbs.archlinux.org/viewtopic.php?id=108461

Kako omoguciti Multilib repo > https://wiki.archlinux.org/index.php/Arch64_FAQ#Mu.....ib_Project

offline
  • Osvjedodžbeni spretnik munjarstva
  • Pridružio: 04 Jul 2011
  • Poruke: 5424
  • Gde živiš: Beograd

Imao sam instaliran lib32-v4l-utils, za njegovu instalaciju je potrebno uklanjanje lib32-v4l. Ali za divno cudo je ona komanda proradila dok sam podesavao conky posle restarta i sada sve radi.
Hvala u svakom slucaju na pomoci.

Ko je trenutno na forumu
 

Ukupno su 755 korisnika na forumu :: 22 registrovanih, 4 sakrivenih i 729 gosta   ::   [ Administrator ] [ Supermoderator ] [ Moderator ] :: Detaljnije

Najviše korisnika na forumu ikad bilo je 3466 - dana 01 Jun 2021 17:07

Korisnici koji su trenutno na forumu:
Korisnici trenutno na forumu: airsuba, BlackPhantom, Chainsaw, dankisha, darkangel, djboj, djo97, Dorcolac, dragonserbia, dule10savic, Georgius, Hoegaarden, jaeger, Mlav, ofbeyond, repac, S2M, sakota79, Steeeefan, Vlada78, YU-UKI, Zerajic